# Uses of Interface
org.ietf.jgss.GSSCredential

Packages that use GSSCredential
Package
Description
com.sun.security.jgss
This package defines classes and interfaces for the JDK extensions to the GSS-API.
org.ietf.jgss
This package presents a framework that allows application developers to make use of security services like authentication, data integrity and data confidentiality from a variety of underlying security mechanisms like Kerberos, using a unified API.

## Uses of GSSCredential in com.sun.security.jgss

Subinterfaces of GSSCredential in com.sun.security.jgss
Modifier and Type
Interface
Description
`interface`
`ExtendedGSSCredential`
The extended GSSCredential interface for supporting additional functionalities not defined by `org.ietf.jgss.GSSCredential`.
Methods in com.sun.security.jgss that return GSSCredential
Modifier and Type
Method
Description
`GSSCredential`
ExtendedGSSCredential.`impersonate​(GSSName name)`
Impersonates a principal.
Methods in com.sun.security.jgss with parameters of type GSSCredential
Modifier and Type
Method
Description
`static Subject`
GSSUtil.`createSubject​(GSSName principals, GSSCredential credentials)`
Use this method to convert a GSSName and GSSCredential into a Subject.

## Uses of GSSCredential in org.ietf.jgss

Methods in org.ietf.jgss that return GSSCredential
Modifier and Type
Method
Description
`abstract GSSCredential`
GSSManager.`createCredential​(int usage)`
Factory method for acquiring default credentials.
`abstract GSSCredential`
GSSManager.`createCredential​(GSSName name, int lifetime, Oid[] mechs, int usage)`
Factory method for acquiring credentials over a set of mechanisms.
`abstract GSSCredential`
GSSManager.`createCredential​(GSSName name, int lifetime, Oid mech, int usage)`
Factory method for acquiring a single mechanism credential.
`GSSCredential`
GSSContext.`getDelegCred()`
Obtains the credentials delegated by the context initiator to the context acceptor.
Methods in org.ietf.jgss with parameters of type GSSCredential
Modifier and Type
Method
Description
`abstract GSSContext`
GSSManager.`createContext​(GSSCredential myCred)`
Factory method for creating a context on the acceptor' side.
`abstract GSSContext`
GSSManager.`createContext​(GSSName peer, Oid mech, GSSCredential myCred, int lifetime)`
Factory method for creating a context on the initiator's side.